package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.AliasClasse;
import com.rjconsultores.ventaboletos.entidad.ClaseServicio;
import com.rjconsultores.ventaboletos.entidad.OrgaoConcedente;

public class RenderAliasClasse implements ListitemRenderer {

	public void render(Listitem lstm, Object o) throws Exception {
		AliasClasse aliasClasse = (AliasClasse) o;

		Listcell lc = new Listcell(aliasClasse.getAliasClasseId().toString());
		lc.setParent(lstm);

		ClaseServicio classe = aliasClasse.getClasse();
		if (classe != null) {
			lc = new Listcell(classe.getDescclase());
		} else {
			lc = new Listcell("");
		}
		lc.setParent(lstm);

		ClaseServicio alias = aliasClasse.getAlias();
		if (alias != null) {
			lc = new Listcell(alias.getDescclase());
		} else {
			lc = new Listcell("");
		}
		lc.setParent(lstm);

		OrgaoConcedente orgaoConcedente = aliasClasse.getOrgaoConcedente();
		if (orgaoConcedente != null) {
			lc = new Listcell(orgaoConcedente.getDescOrgao());
		} else {
			lc = new Listcell("");
		}
		lc.setParent(lstm);

		lstm.setAttribute("data", aliasClasse);
	}
}
